# Method GL.glClearStencil()

Method glClearStencil

  `void glClearStencil(int s)`

Description

  glClearStencil specifies the index used by glClear to clear the stencil buffer. s is masked with 2 sup m - 1, where m is the number of bits in the stencil buffer.

Parameter `s`

  Specifies the index used when the stencil buffer is cleared. The initial value is 0.

Throws

  GL_INVALID_OPERATION is generated if glClearStencil is executed between the execution of glBegin and the corresponding execution of glEnd.